# mongoc_gridfs_file_list_next()

## Synopsis

    mongoc_gridfs_file_t *
    mongoc_gridfs_file_list_next (mongoc_gridfs_file_list_t *list)
       BSON_GNUC_WARN_UNUSED_RESULT;

## Parameters

- `list`: A mongoc_gridfs_file_list_t.

## Description

This function shall iterate the underlying gridfs file list, returning the next file each iteration. This is a blocking function.

## Returns

A newly allocated mongoc_gridfs_file_t that should be freed with mongoc_gridfs_file_destroy() when no longer in use.